# angular-split [![npm latest version](https://img.shields.io/npm/v/angular-split/latest.svg?style=flat-square)](https://www.npmjs.com/package/angular-split) [![NPM next version](https://img.shields.io/npm/v/angular-split/next.svg?style=flat-square)](https://www.npmjs.com/package/angular-split) [![Discord](https://img.shields.io/discord/748677963142135818?color=7289DA&label=Angular%20Discord&logo=discord&logoColor=white&style=flat-square)](https://discord.gg/Qm9MPCg)

Angular UI library to split views and allow dragging to resize areas using CSS flexbox layout.

Documentation and examples:
[https://angular-split.github.io](https://angular-split.github.io)

### Credits

#### Built by [Bertrand Gaillard](https://github.com/bertrandg).

#### Maintained by: [Bram Borggreve](https://github.com/beeman) (As of 2020).

#### Previously: [Bertrand Gaillard](https://github.com/bertrandg) (2016 to 2019)

## Contributors

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/bertrandg"><img src="https://avatars.githubusercontent.com/u/7031941?v=4?s=100" width="100px;" alt="Bertrand Gaillard"/><br /><sub><b>Bertrand Gaillard</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=bertrandg" title="Code">💻</a> <a href="#maintenance-bertrandg" title="Maintenance">🚧</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://beeman.dev/"><img src="https://avatars.githubusercontent.com/u/36491?v=4?s=100" width="100px;" alt="Bram Borggreve"/><br /><sub><b>Bram Borggreve</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=beeman" title="Code">💻</a> <a href="#maintenance-beeman" title="Maintenance">🚧</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/SanderElias"><img src="https://avatars.githubusercontent.com/u/1249083?v=4?s=100" width="100px;" alt="Sander Elias"/><br /><sub><b>Sander Elias</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=SanderElias" title="Code">💻</a> <a href="#maintenance-SanderElias" title="Maintenance">🚧</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://jefiozie.github.io"><img src="https://avatars.githubusercontent.com/u/17835373?v=4?s=100" width="100px;" alt="Jeffrey Bosch"/><br /><sub><b>Jeffrey Bosch</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=Jefiozie" title="Documentation">📖</a> <a href="#infra-Jefiozie" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#maintenance-Jefiozie" title="Maintenance">🚧</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Harpush"><img src="https://avatars.githubusercontent.com/u/30085989?v=4?s=100" width="100px;" alt="Harpush"/><br /><sub><b>Harpush</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=Harpush" title="Code">💻</a> <a href="#maintenance-Harpush" title="Maintenance">🚧</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://www.novel-t.ch"><img src="https://avatars.githubusercontent.com/u/46479127?v=4?s=100" width="100px;" alt="Louis Frament"/><br /><sub><b>Louis Frament</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=lf-novelt" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Shemesh"><img src="https://avatars.githubusercontent.com/u/2488980?v=4?s=100" width="100px;" alt="Shemesh"/><br /><sub><b>Shemesh</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=shemesh" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/nomeaning777"><img src="https://avatars.githubusercontent.com/u/979296?v=4?s=100" width="100px;" alt="nomeaning"/><br /><sub><b>nomeaning</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=nomeaning777" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/rahuldimri"><img src="https://avatars.githubusercontent.com/u/107100022?v=4?s=100" width="100px;" alt="rahuldimri"/><br /><sub><b>rahuldimri</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=rahuldimri" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://andre-steudel.de"><img src="https://avatars.githubusercontent.com/u/7403789?v=4?s=100" width="100px;" alt="Andre Steudel"/><br /><sub><b>Andre Steudel</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=kufuntu" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://www.richapps.de"><img src="https://avatars.githubusercontent.com/u/2612377?v=4?s=100" width="100px;" alt="Benjamin Dobler"/><br /><sub><b>Benjamin Dobler</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=benjamindobler" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://www.cyrildurand.net"><img src="https://avatars.githubusercontent.com/u/2543836?v=4?s=100" width="100px;" alt="Cyril DURAND"/><br /><sub><b>Cyril DURAND</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=cyrildurand" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/jitsmaster"><img src="https://avatars.githubusercontent.com/u/15837601?v=4?s=100" width="100px;" alt="Arnold Wang"/><br /><sub><b>Arnold Wang</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=jitsmaster" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/jakubmank2"><img src="https://avatars.githubusercontent.com/u/124054100?v=4?s=100" width="100px;" alt="Kuba Mank"/><br /><sub><b>Kuba Mank</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=jakubmank2" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/AlexanderBabchenko"><img src="https://avatars.githubusercontent.com/u/11957042?v=4?s=100" width="100px;" alt="alexanderbabchenko"/><br /><sub><b>alexanderbabchenko</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=alexanderbabchenko" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/dxbrandon"><img src="https://avatars.githubusercontent.com/u/84741633?v=4?s=100" width="100px;" alt="Brandon Nguyen"/><br /><sub><b>Brandon Nguyen</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=dxbrandon" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/pawelwojkiewicz"><img src="https://avatars.githubusercontent.com/u/26307117?v=4?s=100" width="100px;" alt="pawel_wojkiewicz"/><br /><sub><b>pawel_wojkiewicz</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=pawelwojkiewicz" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://pierremarcairoldi.com"><img src="https://avatars.githubusercontent.com/u/296718?v=4?s=100" width="100px;" alt="Pierre-Marc Airoldi"/><br /><sub><b>Pierre-Marc Airoldi</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=pmairoldi" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/funkelodeon"><img src="https://avatars.githubusercontent.com/u/16770343?v=4?s=100" width="100px;" alt="Nick Funk"/><br /><sub><b>Nick Funk</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=funkelodeon" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://www.linkedin.com/in/bryanknightdev"><img src="https://avatars.githubusercontent.com/u/7443393?v=4?s=100" width="100px;" alt="Bryan Knight"/><br /><sub><b>Bryan Knight</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=blacknight811" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/erik-seifert"><img src="https://avatars.githubusercontent.com/u/4093180?v=4?s=100" width="100px;" alt="Erik Seifert"/><br /><sub><b>Erik Seifert</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=erik-seifert" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ethankay"><img src="https://avatars.githubusercontent.com/u/15613563?v=4?s=100" width="100px;" alt="Ethan Kay"/><br /><sub><b>Ethan Kay</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=ethankay" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/kmmccafferty96"><img src="https://avatars.githubusercontent.com/u/10471269?v=4?s=100" width="100px;" alt="Keegan McCafferty"/><br /><sub><b>Keegan McCafferty</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=kmmccafferty96" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/aszechlicki"><img src="https://avatars.githubusercontent.com/u/9299507?v=4?s=100" width="100px;" alt="aszechlicki"/><br /><sub><b>aszechlicki</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=aszechlicki" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Gwe-n"><img src="https://avatars.githubusercontent.com/u/66947157?v=4?s=100" width="100px;" alt="Gwen"/><br /><sub><b>Gwen</b></sub></a><br /><a href="https://github.com/angular-split/angular-split/commits?author=gwe-n" title="Code">💻</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->
