import { InjectionToken, Provider } from '@angular/core';
import { SplitDir, SplitDirection, SplitUnit } from './models';
export interface AngularSplitDefaultOptions {
    dir: SplitDir;
    direction: SplitDirection;
    disabled: boolean;
    gutterDblClickDuration: number;
    gutterSize: number;
    gutterStep: number;
    gutterClickDeltaPx: number;
    restrictMove: boolean;
    unit: SplitUnit;
    useTransition: boolean;
}
export declare const ANGULAR_SPLIT_DEFAULT_OPTIONS: InjectionToken<AngularSplitDefaultOptions>;
/**
 * Provides default options for angular split. The options object has hierarchical inheritance
 * which means only the declared properties will be overridden
 */
export declare function provideAngularSplitOptions(options: Partial<AngularSplitDefaultOptions>): Provider;
